<?php
class liveUsersPro {
//Gives the correct Community Builder Avatar URL
function avatarURL($avatar, $cblanguage) { 
    global $mosConfig_live_site;
    if ($avatar) {
        if (!stristr($avatar, 'gallery/')) {
     	   $avatarURL = sefRelToAbs($mosConfig_live_site.'/images/comprofiler/tn'.$avatar);
			} else {
	        $avatarURL = sefRelToAbs($mosConfig_live_site.'/images/comprofiler/'.$avatar);
        	}
    } else {
        $avatarURL = sefRelToAbs($mosConfig_live_site.'/components/com_comprofiler/plugin/language/'. $cblanguage .'/images/tnnophoto.jpg');
    	}
    return $avatarURL;
}
//Checks for Live Users Pro sepcific database erros and gives plain text error messages
function errorHandler(&$settings, $errorCode) {
	global $database;
	if ($settings['cbsupport']) {
		$querylist[] = "SELECT * FROM #__comprofiler";
		$errorlist[] = _LVU_ERROR_COMMUNITYBUILDERNOTINSTALLED;
		if ($settings['nantscbgallery'])  {
			$querylist[] = "SELECT cb_pgtotalitems FROM #__comprofiler";
			$errorlist[] = _LVU_ERROR_NANTSCBGALLERYNOTINSTALLED;
			}
		if ($settings['gendersupport'])  {
			$querylist[] = "SELECT ".$settings['cbgenderfield']." FROM #__comprofiler";
			$errorlist[] = _LVU_ERROR_GENDERFIELDNOTFOUND;
			}
		if ($settings['nametype'] == 'cbfield') {
			$querylist[] = "SELECT ".$settings['cbnamefield']." FROM #__comprofiler";
			$errorlist[] = _LVU_ERROR_USERLISTERROR;
			}	
		if(count($settings['cbcustomfields']) > 0 ) {
		foreach($settings['cbcustomfields'] as $fieldnum=>$customfield) {
			$querylist[] = "SELECT ". $customfield ." FROM #__comprofiler";
			$errorlist[] = '<strong>'. $customfield .' </strong> - ' . _LVU_ERROR_CUSTOMFIELDNOTFOUND . '<br >';
			}
		}
		}
	foreach ($querylist as $querrynum=>$query) {
		$database->setQuery($query);
		if (!$database->query()){ 
			$errorMsg .='<p><strong>'. _LVU_ERROR .'</strong>'. $errorlist[$querrynum].'</p>';
			}
		}
		if(!$errorMsg) $errorMsg = '<p><strong>'. _LVU_ERROR .'</strong>'.$errorCode.'</p>';
	return $errorMsg;
}
//Returns a formated HTML Output for the custom Community Builder fields
function cbCustomFields($customfieldnames, $customfieldimages, $icondir, &$data) {
	$cbCustomFields = '';
	if (isset($customfieldnames)) {
		foreach($customfieldnames as $i=>$fieldname) {
			if ($value = $data->{$fieldname}) {
				$cbCustomFields .= '<span class="cb_field" id="'. $fieldname .'" style="background-image:url('.$icondir.'/icons/'.$customfieldimages[$i].');">'. $value .'</span>';
			}
		}
	}
	return $this->makeSave($cbCustomFields);
}

//Returns the tooltip template
function createTooltip(&$settings) {
	//Usertype specific id's
   	$tooltip = '<div id="corner_top_left"><div id="corner_top_right"/></div></div><div class="[gender]card" id="[type]"><h1>[name]</h1>';
	//Avatar
	if ($settings['cbuseavatar']) {
		$tooltip .= '<img id="avatar" src="[avatar]"/>';
		}
	//PMS system link
	if ($settings['pmssystem'] and $settings['pmslink']) $tooltip .= '<a class="cb_field" id="pmslink" href="[pmslink]"> '. $settings['pmslinktext'] . ' </a>';
	//View Profile Link
	if ($settings['viewprofilelink']) $tooltip .= '<a class="cb_field" id="viewprofilelink" href="[profilelink]">'. $settings['viewprofilelinktext'] .'</a>';
	//Fijiwebdesign's Ajax Chat Link
		if ($settings['ajaxchatlink']) $tooltip .= '<a class="cb_field" id ="ajaxchatlink" onclick="lvu.privateChat(\'[username]\');return false;">'.$settings['ajaxchatlinktext'].'</a>';
	//Gender field
	if ($settings['gendersupport']) $tooltip .= '<span class="cb_field" id="[gender]">[gendertext]</span>';
	//Nant's CB Gallery
	$tooltip .= ($settings['nantscbgallery']) ? '[nantscbgallerylink]':'';
	//Comprofiler custom fields
	if (isset($settings['cbcustomfields'])) $tooltip .= '[cbcustomfields]';
	//Custom Tooltip Code
	$tooltip .= $settings['tooltipcustomcode'];
	//Bottom corners 
	$tooltip .= '</div><div id="corner_bottom_left"><div id="corner_bottom_right"></div></div>';
	//Encode tooltip and add JavaScript code
	$tooltip = 'onmouseover="showTip(this, \'lvu_tooltip\', \''.addslashes(htmlspecialchars($tooltip)).'\', '.$settings['tooltiptop'].', '.$settings['tooltipleft'].', \''.$settings['tooltipwidth'].'\', false, \'help\','.$settings['mousedelay'].', '.$settings['scrolling'].');" onmouseout="lvu_cardtimeout = setTimeout(function() {hideTip(\'lvu_tooltip\')}, '.$settings['mousedelay'].');"';
	return $tooltip;
	}
function nantsCbGalleryLink($linktext, $uid, $imagecount) {
	$nantsCbGalleryLink = ($imagecount >0) ? '<a class="cb_field" id="usergallery" href="'. sefRelToAbs('index.php?option=com_comprofiler&task=userProfile&user='.$uid.'&tab=getprofilegallerytab') .'">'. str_replace('%n',$imagecount,$linktext) .'</a>' : "";

	return $this->makeSave($nantsCbGalleryLink);
	}
//Returns a link template for the selected pms
function pmsLink($pmssystem, $uid, $username) {
	switch ($pmssystem) {
		case 'uddeim':
			$pmsLink = sefRelToAbs('index.php?option=com_uddeim&task=new&recip='.$uid);
			break;
		case 'missus':
			$pmsLink= sefRelToAbs('index.php?option=com_missus&func=newmsg&user='.$uid);
			break;
		case 'mypms2':
			$pmsLink = sefRelToAbs('index.php?option=com_pms&page=new&id='.$username);
			break;
		case 'jim':
			$pmsLink = sefRelToAbs('index.php?option=com_jim&task=new&id='.$username);
			break; 
		case 'primezilla':
			$pmsLink = sefRelToAbs('index.php?option=com_primezilla&page=write&Itemid=0&uid='.$uid);
			break;
		case 'clexus':
			$pmsLink = sefReltoAbs('index.php?option=com_mypms&task=compose&to='.$uid);
			break;
		default:
			$pmsLink = '#';
		}
	return $pmsLink;
	}

//Returns a link template for viewing the users profile
function profileLink ($cbsupport, $uid, $username) {
	global $settings;
	switch ($cbsupport) {
		case true:
			$profileLink = sefRelToAbs('index.php?option=com_comprofiler&task=userProfile&user='.$uid);
			break;
		case false;
			$profileLink = sefRelToAbs('index.php?option=com_user&id='.$uid);
			break;
		default:
			$profileLink = "#";
		}
	return $profileLink;
	}


//Makes sure no invalid characters distort the output	
function makeSave($text) {
	return addslashes(htmlspecialchars(str_replace(chr(13).chr(10),'<br />',$text)));
}
//End Class
}

